Subject: Re: bug#45328: 28.0.50; [PATCH] Compare raw syntax descriptors with equal in `python-indent-region'

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 May 2022 15:54:56 +0200

Andrea Corallo <[email-masked]> writes:

> Uhmm, I thought the patch was correct but re-testing it this is now
> breaking the `python-indent-region-5' test.
>
> Maybe there's a reason why we should use eq there or maybe this is
> unveiling a real bug?  Not sure, I guess some expert of that code should
> probably have a look.

I tried applying Andrea's patch to Emacs 29, and it didn't lead to any
test failures that I can see (and the patch looks "obviously correct"),
so I've now pushed it to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no